Bug 238407 - ThinkPad X60 fails to wake fully from hibernate
ThinkPad X60 fails to wake fully from hibernate
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
: 238605 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-04-30 07:07 EDT by Patrick C. F. Ernzer
Modified: 2013-11-25 16:33 EST (History)
4 users (show)

See Also:
Fixed In Version: Fedora 8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-04 05:50:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Patrick C. F. Ernzer 2007-04-30 07:07:28 EDT
Description of problem:
ThinkPad X60 type 1706-GMG hibernates fine under 2.6.21-1.3116.fc7 (as opposed
to RHEL5, c.f. bug 234820) but it consistently fails to wake up fully

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. log into X
2. select 'Hibernate' from the gnome power applpet
3. power up after laptop is powered up
Actual results:
memory is read back but machine stays on a vt.
cannot ssh in
cannot ping
ctrl-alt-delete is still recognised and machine tries to reboot but only gets
until the shutting down bluetoot initscript

Expected results:
full wakeup

Additional info:
Comment 3 Andrew Bartlett 2007-05-07 00:55:11 EDT
I've seen a similar thing once, on this kernel (but x86).  I've been unable to
get it to suspend or hibernate recently (hang on the way down, not up), so I
cannot reproduce.  I had wondered if my loaded VMware modules were to blame.
Comment 4 Andrew Bartlett 2007-05-07 00:55:50 EDT
I should note I also have an X60 (but x86 only)
Comment 5 Andrew Bartlett 2007-05-07 01:19:55 EDT
(sorry for the dribs and drabs) I've just reproduced this with suspend to RAM on
this system.  I get my system back to the GUI, and can interact with it, but you
can't ping the system, and I can't launch a termainal. 

I can ctrl-alt-f1, and ctrl-alt-del causes a grind of the disk and a flicker of
the relevent light, but no apparent shutdown.

Perhaps interupts never come back on?
Comment 6 Andrew Bartlett 2007-05-07 01:46:16 EDT
*** Bug 238605 has been marked as a duplicate of this bug. ***
Comment 7 Andrew Bartlett 2007-05-07 01:50:56 EDT
I should note that the problem goes away when the wireless card is disabled
(hidden) in the X60's BIOS
Comment 8 Patrick C. F. Ernzer 2007-05-07 11:04:15 EDT
Comment #7 was a good hint, should have thought of that earlier.
Created /etc/pm/config.d/x60 containing the following

[start /etc/pm/config.d/x60]
SUSPEND_MODULES="iwlwifi mac80211"

This seems to help (I'm not yet 100% sure as I've only done 2 hibernate tests
and I have applied some updates on 2007-05-03, so if somebody else could test
we'd get a better idea). It's not perfect yet as wireless is disabled after
resume and I lack the time to go through this in detail but figured I'd still
let the bug owner know of the small progress.
Comment 9 Bug Zapper 2008-04-03 20:23:05 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Note You need to log in before you can comment on or make changes to this bug.